(function ($) {
	"use strict";
	

	//OWL-CAROUSEL	
	$(".carousal1").each(function () {
		var $Carousel = $(this);
		$Carousel.owlCarousel({
			loop: $Carousel.data('loop'),
			autoplay: $Carousel.data("autoplay"),
			margin: $Carousel.data('space'),
			nav: $Carousel.data('nav'),
			dots: $Carousel.data('dots'),
			dotsSpeed: $Carousel.data('speed'),
			responsive: {
				0: {
					items: 1
				},
				600: {
					items: $Carousel.data('slide-res')
				},
				1000: {
					items: $Carousel.data('slide'),
				}
			}
		});
	});



//  clients

	$( window ).on( "load", function() {
 
		 
		$('.cl_logo_slider').each( function() {
			var $carousel = $(this);
			$carousel.owlCarousel({
				dots : $carousel.data("dots"),
				loop : $carousel.data("loop"),
				margin: $carousel.data("margin"),
				autoHeight: true,
				rewind: $carousel.data("rewind"),
				autoplay : $carousel.data("autoplay"),
				nav: $carousel.data("nav"),
				navText: ['<i class="ion-ios-arrow-back"></i>', '<i class="ion-ios-arrow-forward"></i>'],
				autoplayTimeout : $carousel.data("autoplay-timeout"),
				responsive: {
					 0: {
						 items: 2,
					 },
					 380: {
						 items: 3,
					 },
					 600: {
						 items: 4,
					 },
					 1000: {
						 items: 5,
					 },
					 1199: {
						 items: 6
					 }
				}
			});
		});
	});

	

//  Popup Video

    var wind = $(window);



    var pageSection = $(".bg-img, section");
    pageSection.each(function (indx) {

        if ($(this).attr("data-background")) {
            $(this).css("background-image", "url(" + $(this).data("background") + ")");
        }
    });



    $("a.vid").YouTubePopUp();




//FAQ Section

    $(document).on('ready', function () {

    
        $(document).on('click', '.faq-heading', function () {
            $(this).closest('.faq-panel').siblings().removeClass('active').find('.faq-content').slideUp(200);
            $(this).closest('.faq-panel').toggleClass('active').find('.faq-content').slideToggle(200);
            return false;
        });


    });




	/*===================================*
	 SLIDER JS
	*===================================*/
	jQuery( window ).on( "load", function() {
		jQuery('.portfolio_slider,.carousel_slide1').each( function() {
			var $carousel = jQuery(this);
			$carousel.owlCarousel({
				dots : $carousel.data("dots"),
				loop : $carousel.data("loop"),
				items : 1,
				autoHeight: $carousel.data("autoHeight"),
				nav: $carousel.data("nav"),
				navText: ['<i class="ion-ios-arrow-back"></i>', '<i class="ion-ios-arrow-forward"></i>'],
				autoplay : $carousel.data("autoplay"),
				animateIn : $carousel.data("animate-in"),
				animateOut: $carousel.data("animate-out"),
				autoplayTimeout : $carousel.data("autoplay-timeout"),
			});
		});
		
		var owl = jQuery('.owl-thumbs-slider');
		owl.owlCarousel({
			loop: false,
			items: 4,
			dots: false,
			margin: 9,
			nav: true,
			navText: ['<i class="ion-ios-arrow-back"></i>', '<i class="ion-ios-arrow-forward"></i>'],
		});
		 
		 


	});
	
	/*===================================*
	 PORTFOLIO JS
	*===================================*/
	$( window ).on( "load", function() {
		var $portfolio_selectors = $('.portfolio_container');
		$portfolio_selectors.ready(function () {
			$portfolio_selectors.isotope({
				layoutMode: 'masonry',
				itemSelector: '.portfolio-item',
				percentPosition: true,
				masonry: {
					columnWidth: '.grid-sizer'
				}
			});
			$portfolio_selectors.isotope();
		});
	
		var $portfolio_filter = $('.portfolio_filter > li > a');
		$portfolio_filter.on('click', function () {
			$portfolio_filter.removeClass('current');
			$(this).addClass('current');
			var selector = $(this).attr('data-filter');
			//$portfolio_selectors.find('.portfolio-item').removeClass('animated').css("visibility", ""); // avoid problem to filter after sorting
			$portfolio_selectors.find('.portfolio-item').each(function () {
				/* remove perticular element from WOW array when you don't want animation on element after DOM lead */
			   // abc.removeBox(this);
				$(this).css("-webkit-animation", "none");
				$(this).css("-moz-animation", "none");
				$(this).css("-ms-animation", "none");
				$(this).css("animation", "none");
			});
			$portfolio_selectors.isotope({filter: selector});
			return false;
		});
	
		$(window).resize(function () {
			$portfolio_selectors.ready(function () {
				setTimeout(function () {
					$portfolio_selectors.find('.portfolio-item').removeClass('animation').removeClass('animated'); // avoid problem to filter after window resize
					$portfolio_selectors.isotope('layout');
				}, 300);
			});
		});
	});
	
	$( window ).on( "load", function() {

	
		$(window).resize(function () {
			setTimeout(function () {
				$blog_selectors.find('.portfolio-item').removeClass('animation').removeClass('animated'); // avoid problem to filter after window resize
				$blog_selectors.isotope('layout');
			}, 300);
		});
	});	
	

	 

	/*===================================*
	 POPUP JS
	*===================================*/
	$('.content-popup').magnificPopup({
		type: 'inline',
		preloader: true,
		mainClass: 'mfp-zoom'
	});
	

	
	
	$('.portfolio_item .image_popup').on('click', function () {
		$(this).find('.linker').magnificPopup('open');
	});
	$('.linker').each(function () {
		$(this).magnificPopup({
			delegate: '.image_popup',
			type: 'image',
			gallery: {
				enabled: true
			}
		});
	});
	
	/*==============================================================
    VIDEO JS
    ==============================================================*/
	$(document).ready(function() {
		$('.video_popup').magnificPopup({
			disableOn: 700,
			type: 'iframe',
			mainClass: 'mfp-fade',
			removalDelay: 160,
			preloader: false,
			fixedContentPos: false
		});
	});
	

	
		


    //  Process

    var wind = $(window);

    $(".tabs-icon").on("click", ".item", function(){

        var myID = $(this).attr("id");

        $(this).addClass("active").siblings().removeClass("active");

        $("#" + myID + "-content").fadeIn(700).siblings().hide();

    });

    
})(jQuery);


jQuery(document).ready(function($){
	

        $('.mcounter').counterUp({
            delay: 10,
            time: 2000
        });
  
  

// Testimonials

        $("#slider28").owlCarousel({
            loop: true,
            margin: 24,
            nav: false,
            autoplay: true,
            animateIn: true,
            smartSpeed: 500,
            responsive: {
                0: {
                    items: 1
                },
                                490: {
                    items: 1
                },
                767: {
                    items: 2
                },

                1200: {
                    items: 2
                }
            }
        });
    

  
}(jQuery));	    jQuery('#mobile-menu').meanmenu({
        meanMenuContainer: '.mobile-menu',
        meanScreenWidth: "991"
    });
 
(function($) {
	'use strict';
	
	
	
	/*===================================*
	05. SLIDER JS
	*===================================*/
	$( window ).on( "load", function() {
	 
		$('.carousel_slide4').each( function() {
			var $carousel = $(this);
			$carousel.owlCarousel({
				dots : $carousel.data("dots"),
				loop : $carousel.data("loop"),
				margin: $carousel.data("margin"),
				autoHeight: true,
				center: $carousel.data("center"),
				rewind: $carousel.data("rewind"),
				autoplay : $carousel.data("autoplay"),
				nav: $carousel.data("nav"),
				navText: ['<i class="ion-ios-arrow-back"></i>', '<i class="ion-ios-arrow-forward"></i>'],
				autoplayTimeout : $carousel.data("autoplay-timeout"),
				responsive: {
					 0: {
						 items: 1,
					 },
					 480: {
						 items: 2,
					 },

					 					 770: {
						 items: 3,
					 },
					 1000: {
						 items: 3,
					 },
					 1199: {
						 items: 4
					 }
				}
			});
		});
		 
		
	});
	
	
		
})(jQuery);